WordPress.org

Support

Support » Plugins and Hacks » Google Sitemaps and WordPress 2.3 (Please help testing)

Google Sitemaps and WordPress 2.3 (Please help testing)

  • Hi,

    if you’re already using WordPress 2.3, the Google Sitemaps Plugin < Version 3.0b9 will NOT work for you since it tries to access database tables which don’t exist anymore. Please help me getting the new version in a stable state prior the WP 2.3 release.

    The current test release is 3.0b11. It works with WordPress 3 and uses MUCH less memory than the older versions. Please test it and report any problems so I can fix them until WP 2.3 comes out.

    Here is the download URL to the always most current version:
    http://downloads.wordpress.org/plugin/google-sitemap-generator.zip

    Thank you very much for your help! 🙂

Viewing 15 replies - 1 through 15 (of 86 total)
  • Arnee, just to clarify, I assume you are referring to WordPress 2.3, correct?

    Thanks, corrected 😉

    Okay, to clarify for myself, hehe. The latest version of this plugin does work with WordPress 2.3, but still needs to be tested?

    Not really much to test though I suppose, just check whether it updates correctly and that’s all we really need. If it does work then I will have to congratulate you, Arnee! Thanks for the already amazingly useful plugin.

    I’m using the beta version of the plugin, but in each post I steel have the message: ‘

    WordPress database error: [Table ‘name of my table.wp_post2cat’ doesn’t exist]
    SELECT t1.ID, t1.post_title, t1.post_date, t1.post_content, t3.display_name FROM wp_posts t1, wp_post2cat t2, wp_users t3 WHERE t1.ID=t2.post_id AND t1.post_status = ‘publish’ AND t1.ID != 69 AND t2.category_id IN (7) AND t2.category_id NOT IN (-9999) AND t1.post_author = t3.ID ORDER BY rand() LIMIT 5′

    Im not sur if this is due to “Google XML sitemap” but I had this message with the version 2, and when I updated to version 3, the site works fine ! but I had the error message in each post !

    @bull3t: Well it should work. I’ve tested it on my and several other blogs but there are so many different configurations out there that I can’t guarantee that it’s working everywhere. That’s why I’m asking you to check if the new version is working on your system before I declare it as “stable” 🙂

    @alyas2022: This error is probably not related to the Sitemaps plugin since it is not active on the front end. There is also no such database query in it so you could try to disabled all your plugins one by one to see which of them causes the error.

    Hi,

    Running WordPress Version 2.2.1 and Google XML Sitemaps 3.0b11.

    When I try to view the site map:

    http://www.war59312.com/sitemap.xml

    I get:

    Error loading stylesheet: A network error occured loading an XSLT stylesheet:http://www.war59312.com/wp-content/plugins/sitemap.xsl

    I have the plug-in installed at /public_html/wp-content/plugins/google-sitemap-generator just like it is suppose to be. So the xml file is expecting the sitemap.xsl file not to be within the folder but just in the plugins directory. So moving it there and it works fine.

    Just thought I’d point that out…

    Thanks,

    Will

    @war59312: Your sitemap looks fine to me.

    @arnee: Ah, okay, I will begin testing as soon as possible! Thanks.

    Hi folks. I’m an engineer on the Google Webmaster Tools team. I noticed that the Google Sitemaps Plugin was mentioned as having problems with WordPress 2.3 on the WordPress Blog. It looks like you have things under control, but I thought I’d check in to see if there’s anything we can do to help make sure this is working before 2.3 is officially released. Please let me know if we can be of assistance.

    Thanks for creating this plugin to help people benefit from Sitemaps, Arne!

    Sean

    about the sitemap .xml , do i have to link from my blog to the .xml file so searchengines can see it? or its no need to link to it?

    @war59312 Maybe you had the plugin installed in the wp-content/plugins folder before (without an own subdirectory)? Does it work if you move the sitemap.xsl back to the sitemap plugin directory and click on “Use default” next to “Include a XSLT stylesheet”?

    @seanh: Thanks for your help! At the moment it looks very promising. If I don’t receive any error reports until this evening I will set the current beta version as the new stable download.

    @sazuka: No you don’t have to link to it. Just use the integrated feature to “ping” Google if your sitemap has changed or add it at the Google Webmaster Tools.

    Thank you all for testing!

    Best regards,

    Arne

    Wow! Nice work, Arne! You even have the support of the Google Webmaster Tools team. I have tested this version of Google Sitemaps on WordPress version 2.3 myself and have not found any errors. Thanks again.

    when i active it,wordpress said that:
    Plugin could not be activated because it triggered a fatal error.

    i use the version 2.3 of wordpress.

    Jeff Chandler

    @jeffr0

    Volunteer Moderator and Voice of WP

    I have also upgraded this plugin and WP 2.3 seems to be working just fine for me.

    @bigbluelin: What version of PHP are you using?

    @jeffr0: Great, thanks for your feedback 🙂

Viewing 15 replies - 1 through 15 (of 86 total)
  • The topic ‘Google Sitemaps and WordPress 2.3 (Please help testing)’ is closed to new replies.
Skip to toolbar